import os
from django.conf.urls.defaults import *
from django.conf import settings
from collect.views import *
from worlddomination.views import *

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^mapuntu/', include('mapuntu.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    # (r'^admin/', include(admin.site.urls)),
    # ('^$', hit),
    (r'^map/dynajs/$', dynaJS),
    (r'^map/$', mapview),
    (r'^hit/$', hit),
    (r'^$', confirm),

)

if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^map/images/(?P<path>.*)$', 'django.views.static.serve', {'document_root': os.path.join(os.path.dirname(__file__), 'static').replace('\\','/') }),
        (r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': os.path.join(os.path.dirname(__file__), 'static').replace('\\','/') }),
    )
