from django.db import models

class Country(models.Model):
    name = models.CharField(max_length=50)
    latitude = models.FloatField()
    longitude = models.FloatField()

    def __unicode__(self):
        return 'Name %s, Lat %s, Long %s' % (self.name, self.latitude, self.longitude)

class City(models.Model):
    name = models.CharField(max_length=50)
    latitude = models.FloatField()
    longitude = models.FloatField()
    country = models.ForeignKey(Country)

    def __unicode__(self):
        return 'Name %s, Lat %s, Long %s, Country %s' % (self.name, self.latitude, self.longitude, self.country.name)
